Rem  Copyright (c) Oracle Corporation 1999 - 2017. All Rights Reserved.
Rem
Rem    NAME
Rem      apxldimg_nocdb.sql
Rem
Rem    DESCRIPTION
Rem      This script will load Application Express images into XDB.
Rem
Rem    NOTES
Rem      This script should be run as SYS.
Rem
Rem    Arguments:
Rem      Position 1: The path to the directory where the Application Express patch exists on
Rem                  the filesystem.
Rem
Rem    Example:
Rem      sqlplus "sys/syspass as sysdba" @apxldimg.sql /tmp/patch
Rem
Rem    MODIFIED   (MM/DD/YYYY)
Rem     jkallman   01/02/2013 - Created
Rem     vuvarov    04/05/2013 - Added support for empty files
Rem     vuvarov    04/15/2013 - Reference script arguments only once
Rem     jstraub    02/03/2014 - Invoke apxldimg_core.sql
Rem     jstraub    06/22/2015 - Created from apxldimg.sql


set define '^' verify off
set serveroutput on
set concat on
set concat .

timing start "Load Images"

define IMGPATH = '^1/images'
define IMGDIR  = 'APEX_IMAGES'
define PREFIX  = '@'

begin
    execute immediate 'drop directory ^IMGDIR.';
exception when others then
    null;
end;
/

prompt . Loading images directory: ^IMGPATH.
create directory ^IMGDIR. as '^IMGPATH.';

@^PREFIX.apxldimg_core.sql

set define '^'

commit;

drop directory ^IMGDIR.;

timing stop
