/**
 * Require.js configuration
 */
( function( $, debug ) {
  "use strict";

  var dbg = !!$v( "pdebug" );

  requirejs.config({


    // Path mappings for the logical module names
    baseUrl: apex_img_dir + "libraries/",
    paths: {
      "jquery": "./jquery/2.2.3/jquery-2.2.3.min",
      "jqueryui-amd": "./oraclejet/2.0.2/js/libs/jquery/jqueryui-amd-1.11.4.min",
      "ojs": "./oraclejet/2.0.2/js/libs/oj/v2.0.2/" + ( dbg ? "debug" : "min" ),
      "ojL10n": "./oraclejet/2.0.2/js/libs/oj/v2.0.2/ojL10n",
      "ojtranslations": "./oraclejet/2.0.2/js/libs/oj/v2.0.2/resources",
      "text": "./oraclejet/2.0.2/js/libs/require/text",
      "promise": "./oraclejet/2.0.2/js/libs/es6-promise/promise-1.0.0.min",
      "hammerjs": "./hammer/2.0.4/hammer-2.0.4.min",
      'signals': './oraclejet/2.0.2/js/libs/js-signals/signals.min',
      "ojdnd": "./oraclejet/2.0.2/js/libs/dnd-polyfill/dnd-polyfill-1.0.0.min"
    },
    // Shim configurations for modules that do not expose AMD
    shim: {
      "jquery": {
        exports: [ "jQuery", "$" ]
      }
    },

    // This section configures the i18n plugin. It is merging the Oracle JET built-in translation
    // resources with a custom translation file.
    // Any resource file added, must be placed under a directory named "nls". You can use a path mapping or you can define
    // a path that is relative to the location of this main.js file.
    config: {
      ojL10n: {
        merge: {
          //"ojtranslations/nls/ojtranslations": "./oraclejet/2.0.2/js/libs/oj/v2.0.2/resources/nls/myTranslations"
        }
      }
    }
  });

})( apex.jQuery, apex.debug );